Index: /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro	(revision 45)
+++ /trunk/src/paper01/fig6/icoads_sst_stats_paper.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _icoads_sst_stats_paper.pro
+; .. _icoads_sst_stats_paper.pro:
 ;
 ; ==========================
@@ -9,8 +9,36 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph icoads_sst_stats_paper {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_monthly_1960_2010_oafluxgrid.nc"];
+;       sst_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_TropFlux_global_monthly_1989_2009.nc"];
+;       sst_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_OAFlux_global_monthly_1989_2009.nc"];
+;       sst_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_ERAI_global_monthly_1989_2009.nc"];
+;       sst_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_NCEP2_global_monthly_1989_2009.nc"];
+;       sst_noc [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/nocv2_sst_19890101_20091231_oafluxgrid.nc"];
+;       sst_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/sst_NCEP1_global_monthly_1989_2009.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/icoads_sst_stats_paper.ps"];
+;
+;       icoads_sst_stats_paper [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig6/icoads_sst_stats_paper.pro",
+;       label="${TROPFLUX}/src/paper01/fig6/icoads_sst_stats_paper.pro"];
+;
+;       {sst sst_tropflux sst_oaflux sst_erai sst_ncep2 sst_noc sst_ncep1} -> {icoads_sst_stats_paper} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +50,17 @@
 ;  IDL> icoads_sst_stats_paper
 ;
+; TODO
+; ====
+;
+; make it work (missing data)
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +68,9 @@
 ; $Id$
 ;
+; - fplod 20110420T091734Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +79,5 @@
 ;-
 pro icoads_sst_stats_paper
-@common
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,36 +90,35 @@
 domdef, box
 
-file="/Volumes/Sanathana/ICOADS/Median/sst_monthly_1960_2010_oafluxgrid.nc"
+file=tropflux_id_env+'sst_monthly_1960_2010_oafluxgrid.nc'
 initncdf, file
 icoads=read_ncdf("sst", st-1, en , file=file,/nostr, box=box)
 help, icoads
 
-dir="/Volumes/Sanathana/monthly_met_var/"
-file=dir+"sst_TropFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+'sst_TropFlux_global_monthly_1989_2009.nc'
 initncdf, file
 trop=read_ncdf("sst", st, en , file=file,/nostr, box=box)-273.15
 help, trop
 
-file=dir+"sst_OAFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"sst_OAFlux_global_monthly_1989_2009.nc"
 initncdf, file
 oaf=read_ncdf("sst", st, en , file=file,/nostr, box=box)
 help, oaf
 
-file=dir+"sst_ERAI_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"sst_ERAI_global_monthly_1989_2009.nc"
 initncdf, file
 erai=read_ncdf("sst", st, en , file=file,/nostr, box=box)-273.15
 help, erai
 
-file=dir+"sst_NCEP2_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"sst_NCEP2_global_monthly_1989_2009.nc"
 initncdf, file
 ncep2=read_ncdf("sst", st, en , file=file,/nostr, box=box)-273.15
 help, ncep2
 
-file="/Volumes/Sanathana/NOC_v2/oaflux_grid/nocv2_sst_19890101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+'nocv2_sst_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 noc=read_ncdf("sst", st, en , file=file,/nostr, box=box)
 help, noc
 
-file=dir+"sst_NCEP1_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"sst_NCEP1_global_monthly_1989_2009.nc"
 initncdf, file
 ncep1=read_ncdf("sst", st, en , file=file,/nostr, box=box)-273.15
@@ -236,6 +281,6 @@
 
 closeps
-fig="icoads_sst_stats_paper.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"icoads_sst_stats_paper.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
+end
Index: /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro	(revision 45)
+++ /trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _icoads_t2m_stats_paper.pro
+; .. _icoads_t2m_stats_paper.pro:
 ;
 ; ==========================
@@ -9,8 +9,35 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph icoads_t2m_stats_paper {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       airt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/airt_monthly_1960_2010_oafluxgrid.nc"];
+;       t2m_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_TropFlux_global_monthly_1989_2009.nc"];
+;       t2m_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_OAFlux_global_monthly_1989_2009.nc"];
+;       t2m_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_ERAI_global_monthly_1989_2009.nc"];
+;       t2m_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_NCEP2_global_monthly_1989_2009.nc"];
+;       t2m_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/t2m_NCEP1_global_monthly_1989_2009.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/icoads_t2m_stats_paper.ps"];
+;
+;       icoads_t2m_stats_paper [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig6/icoads_t2m_stats_paper.pro",
+;       label="${TROPFLUX}/src/paper01/fig6/icoads_t2m_stats_paper.pro"];
+;
+;       {airt t2m_tropflux t2m_oaflux t2m_erai t2m_ncep2 t2m_ncep1} -> {icoads_t2m_stats_paper} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +49,18 @@
 ;  IDL> icoads_t2m_stats_paper
 ;
+;
+; TODO
+; ====
+;
+; make it work (missing data)
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +68,9 @@
 ; $Id$
 ;
+; - fplod 20110420T092151Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +79,6 @@
 ;-
 pro icoads_t2m_stats_paper
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,31 +91,30 @@
 domdef, box
 
-file="/Volumes/Sanathana/ICOADS/Median/airt_monthly_1960_2010_oafluxgrid.nc"
+file=tropflux_id_env+'airt_monthly_1960_2010_oafluxgrid.nc'
 initncdf, file
 icoads=read_ncdf("airt", st-1, en , file=file,/nostr, box=box)
 help, icoads
 
-dir="/Volumes/Sanathana/monthly_met_var/"
-file=dir+"t2m_TropFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+'t2m_TropFlux_global_monthly_1989_2009.nc'
 initncdf, file
 trop=read_ncdf("t2m", st, en , file=file,/nostr, box=box)-273.15
 help, trop
 
-file=dir+"t2m_OAFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"t2m_OAFlux_global_monthly_1989_2009.nc"
 initncdf, file
 oaf=read_ncdf("t2m", st, en , file=file,/nostr, box=box)
 help, oaf
 
-file=dir+"t2m_ERAI_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"t2m_ERAI_global_monthly_1989_2009.nc"
 initncdf, file
 erai=read_ncdf("t2m", st, en , file=file,/nostr, box=box)-273.15
 help, erai
 
-file=dir+"t2m_NCEP2_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"t2m_NCEP2_global_monthly_1989_2009.nc"
 initncdf, file
 ncep2=read_ncdf("t2m", st, en , file=file,/nostr, box=box)-273.15
 help, ncep2
 
-file=dir+"t2m_NCEP1_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"t2m_NCEP1_global_monthly_1989_2009.nc"
 initncdf, file
 ncep1=read_ncdf("t2m", st, en , file=file,/nostr, box=box)-273.15
@@ -217,7 +263,6 @@
 
 closeps
-fig="icoads_t2m_stats_paper.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"icoads_t2m_stats_paper.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro
===================================================================
--- /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro	(revision 45)
+++ /trunk/src/paper01/fig6/icoads_ws_stats_paper.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _icoads_ws_stats_paper.pro
+; .. _icoads_ws_stats_paper.pro:
 ;
 ; =========================
@@ -9,8 +9,36 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph icoads_ws_stats_paper {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       ws [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_monthly_1960_2010_oafluxgrid.nc"];
+;       ws_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_TropFlux_global_monthly_1989_2009.nc"];
+;       ws_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_OAFlux_global_monthly_1989_2009.nc"];
+;       ws_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_ERAI_global_monthly_1989_2009.nc"];
+;       ws_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_NCEP2_global_monthly_1989_2009.nc"];
+;       ws_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ws_NCEP1_global_monthly_1989_2009.nc"];
+;       ws_noc [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/nocv2_ws_19890101_20091231_oafluxgrid.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/icoads_ws_stats_paper.ps"];
+;
+;       icoads_ws_stats_paper [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/browser/trunk/src/paper01/fig6/icoads_ws_stats_paper.pro",
+;       label="${TROPFLUX}/src/paper01/fig6/icoads_ws_stats_paper.pro"];
+;
+;       {ws ws_tropflux ws_oaflux ws_erai ws_ncep2 ws_ncep1 ws_noc} -> {icoads_ws_stats_paper} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +50,18 @@
 ;  IDL> icoads_ws_stats_paper
 ;
+;
+; TODO
+; ====
+;
+; make it work (missing data)
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +69,9 @@
 ; $Id$
 ;
+; - fplod 20110420T092454Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +80,6 @@
 ;-
 pro icoads_ws_stats_paper
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,36 +92,35 @@
 domdef, box
 
-file="/Volumes/Sanathana/ICOADS/Median/ws_monthly_1960_2010_oafluxgrid.nc"
+file=tropflux_id_env+'ws_monthly_1960_2010_oafluxgrid.nc"
 initncdf, file
 icoads=read_ncdf("ws", st-1, en , file=file,/nostr, box=box)
 help, icoads
 
-dir="/Volumes/Sanathana/monthly_met_var/"
-file=dir+"ws_TropFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"ws_TropFlux_global_monthly_1989_2009.nc"
 initncdf, file
 trop=read_ncdf("ws", st, en , file=file,/nostr, box=box)
 help, trop
 
-file=dir+"ws_OAFlux_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"ws_OAFlux_global_monthly_1989_2009.nc"
 initncdf, file
 oaf=read_ncdf("ws", st, en , file=file,/nostr, box=box)
 help, oaf
 
-file=dir+"ws_ERAI_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"ws_ERAI_global_monthly_1989_2009.nc"
 initncdf, file
 erai=read_ncdf("ws", st, en , file=file,/nostr, box=box)
 help, erai
 
-file=dir+"ws_NCEP2_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"ws_NCEP2_global_monthly_1989_2009.nc"
 initncdf, file
 ncep2=read_ncdf("wsm", st, en , file=file,/nostr, box=box)
 help, ncep2
 
-file=dir+"ws_NCEP1_global_monthly_1989_2009.nc"
+file=tropflux_id_env+"ws_NCEP1_global_monthly_1989_2009.nc"
 initncdf, file
 ncep1=read_ncdf("ws", st, en , file=file,/nostr, box=box)
 help, ncep1
 
-file="/Volumes/Sanathana/NOC_v2/oaflux_grid/nocv2_ws_19890101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+'nocv2_ws_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 noc=read_ncdf("ws", st, en , file=file,/nostr, box=box)
@@ -233,7 +280,6 @@
 
 closeps
-fig="icoads_ws_stats_paper.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"icoads_ws_stats_paper.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig6/statistics.pro
===================================================================
--- /trunk/src/paper01/fig6/statistics.pro	(revision 45)
+++ /trunk/src/paper01/fig6/statistics.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _statistics.pro
+; .. _statistics.pro:
 ;
 ; ==============
@@ -14,4 +14,16 @@
 ; :ref:`tropflux_profile.sh`
 ;
+; :ref:`as_validation_net_1994_95_v10.pro`
+; :ref:`coare_validation_net_1992_93_all_v10.pro`
+; :ref:`stratus_validation_net_2001_2002_all_v10.pro`
+; :ref:`subdctn_cs_validation_net_1991_93_all_v10.pro`
+; :ref:`subdctn_ses_validation_net_1991_93_all_v10.pro`
+; :ref:`subdctn_sws_validation_net_1991_93_all_v10.pro`
+; :ref:`whots_validation_net_2004_2007_all_v10.pro`
+; :ref:`icoads_q2m_stats_paper.pro`
+; :ref:`icoads_sst_stats_paper.pro`
+; :ref:`icoads_t2m_stats_paper.pro`
+; :ref:`icoads_ws_stats_paper.pro`
+;
 ; EXAMPLES
 ; ========
@@ -23,4 +35,13 @@
 ;  IDL> ++
 ;  IDL> statistics, moor, erai, cor, bias, std, rmsd
+;
+; TODO
+; ====
+;
+; coding rules
+;
+; complete description
+;
+; complete example
 ;
 ; EVOLUTIONS
@@ -37,5 +58,5 @@
 pro statistics, moor, erai, $
    cor, bias, std, rmsd
-@common
+@cm_tropflux
 ;; mean1= mean of mooring variable      std1=std of mooring variable
 ;; mean2= mean of erai variable         std2=std of erai variable
Index: /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro	(revision 45)
+++ /trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro	(revision 46)
@@ -1,15 +1,48 @@
 ;+
-; .. _air_validation_scatter_2000_2009.pro
-;
-; ====================================
-; air_validation_scatter_2000_2009.pro
-; ====================================
+; .. _air_validation_scatter_2000_2009_basin.pro:
+;
+; ==========================================
+; air_validation_scatter_2000_2009_basin.pro
+; ==========================================
+;
 ; DESCRIPTION
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph air_validation_scatter_2000_2009_basin {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       air_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_erai_*.txt"];
+;       air_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_trop_*.txt"];
+;       air_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_oaflx_*.txt"];
+;       air_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_ncep2_*.txt"];
+;       air_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_ncep1_*.txt"];
+;       t2m_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_t2m_19890101_20091231_oafluxgrid.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_validation_scatter_2000_2009_basin.ps"];
+;
+;       air_validation_scatter_2000_2009_basin [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broairer/trunk/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro",
+;       label="${TROPFLUX}/src/paper01/fig7/air_validation_scatter_2000_2009_basin.pro"];
+;
+;       {air_tropflux t2m_erai} -> {air_validation_scatter_2000_2009_basin} -> {air_oaflux air_erai air_ncep2 air_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -19,10 +52,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> .r read_era_total
-;  IDL> .r read_variables_v2
-;  IDL> .r read_era_box
-;  IDL> date1=++
-;  IDL> date2=++
-;  IDL> air_validation_scatter_2000_2009, date1, date2
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
+;  IDL> air_validation_scatter_2000_2009_basin, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : pb restore
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -31,4 +76,11 @@
 ; $Id$
 ;
+; - fplod 20110420T093206Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;   * change name of procedure according to filename
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -36,7 +88,7 @@
 ;
 ;-
-pro air_validation_scatter_2000_2009,date1,date2
-@common
-
+pro air_validation_scatter_2000_2009_basin, date1, date2
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -98,13 +150,13 @@
 close,/all
 
-fi_air_erai='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_erai_'+ocean+'.txt'
+fi_air_erai=tropflux_id_env+'air_2000_2009_erai_'+ocean+'.txt'
 openw,1,fi_air_erai
-fi_air_trop='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_trop_'+ocean+'.txt'
+fi_air_trop=tropflux_id_env+'air_2000_2009_trop_'+ocean+'.txt'
 openw,2,fi_air_trop
-fi_air_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_oaflx_'+ocean+'.txt'
+fi_air_oaflx=tropflux_id_env+'air_2000_2009_oaflx_'+ocean+'.txt'
 openw,3,fi_air_oaflx
-fi_air_ncep2='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_ncep2_'+ocean+'.txt'
+fi_air_ncep2=tropflux_id_env+'air_2000_2009_ncep2_'+ocean+'.txt'
 openw,4,fi_air_ncep2
-fi_air_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_ncep1_'+ocean+'.txt'
+fi_air_ncep1=tropflux_id_env+'air_2000_2009_ncep1_'+ocean+'.txt'
 openw,5,fi_air_ncep1
 
@@ -118,32 +170,9 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_t2m_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_t2m_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('t2m',date1,date2,file=file,/nostr) & unc=unc-273.15
 help, unc
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_t2m_19890101_20091231_v3.nc'
-;file="/Users/pkb/data/TropFlux/TropFlux_t2m_19890101_20091231_v50.nc"
-;initncdf, file
-;cor=read_ncdf('t2m',date1,date2,file=file,/nostr) & cor=cor-273.15
-;help, cor
-
-;file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
-;initncdf, file
-;oaf=read_ncdf("air", date1, date2, file=file,/nostr)
-;help, oaf
-
-;fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/air_2m_ncep2_oafluxgrid_19890101_20091231.nc'
-;initncdf, fi
-;nce=read_ncdf("air", date1-1, date2, file=fi,/nostr)
-;nce=nce-273.15
-;help, nce
-
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/t2m_ncep1_19890101_20091231.nc'
-;initncdf, file
-;nce1=read_ncdf("t2m", date1, date2, file=file,/nostr)
-;nce1=nce1-273.15
-;help, nce1
-
 ;save, unc, cor, oaf, nce, nce1, filename="airt_unc_cor_oaf_nce_nce1_2000_2009_global.idl"
 restore, file="/Users/pkb/work/MY_SAXO/airt_unc_cor_oaf_nce_nce1_2000_2009_global.idl"
@@ -151,6 +180,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -221,5 +248,5 @@
 close,/all
 
-fi_air_erai='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_erai_'+ocean+'.txt'
+fi_air_erai=tropflux_id_env+'air_2000_2009_erai_'+ocean+'.txt'
 res=read_ascii(fi_air_erai,data_start=1)
 ff=res.field1
@@ -247,5 +274,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_air_trop='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_trop_'+ocean+'.txt'
+fi_air_trop=tropflux_id_env+'air_2000_2009_trop_'+ocean+'.txt'
 res=read_ascii(fi_air_trop,data_start=1)
 ff=res.field1
@@ -274,5 +301,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_air_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_oaflx_'+ocean+'.txt'
+fi_air_oaflx=tropflux_id_env+'air_2000_2009_oaflx_'+ocean+'.txt'
 res=read_ascii(fi_air_oaflx,data_start=1)
 ff=res.field1
@@ -303,5 +330,5 @@
 
 
-fi_air_ncep='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_ncep2_'+ocean+'.txt'
+fi_air_ncep=tropflux_id_env+'air_2000_2009_ncep2_'+ocean+'.txt'
 res=read_ascii(fi_air_ncep,data_start=1)
 ff=res.field1
@@ -330,5 +357,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_air_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/air_2000_2009_ncep1_'+ocean+'.txt'
+fi_air_ncep1=tropflux_id_env+'air_2000_2009_ncep1_'+ocean+'.txt'
 res=read_ascii(fi_air_ncep1,data_start=1)
 ff=res.field1
@@ -359,46 +386,6 @@
 closeps
 
-fig='air_validation_scatter_2000_2009_'+ocean+'.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'air_validation_scatter_2000_2009_'+ocean+'.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro
===================================================================
--- /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro	(revision 45)
+++ /trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _q2m_validation_scatter_2000_2009_basin.pro
+; .. _q2m_validation_scatter_2000_2009_basin.pro:
 ;
 ; ==========================================
@@ -9,8 +9,40 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph q2m_validation_scatter_2000_2009_basin {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       q2m_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_erai_*.txt"];
+;       q2m_erai_2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_q2m_19890101_20091231_oafluxgrid.nc"];
+;       q2m_tropflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_trop_*.txt"];
+;       q2m_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_oaflx_*.txt"];
+;       q2m_ncep [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_ncep_*.txt"];
+;       q2m_ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_ncep1_*.txt"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_validation_scatter_2000_2009_basin.ps"];
+;
+;       q2m_validation_scatter_2000_2009_basin [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broq2mer/trunk/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro",
+;       label="${TROPFLUX}/src/paper01/fig7/q2m_validation_scatter_2000_2009_basin.pro"];
+;
+;       {q2m_erai q2m_erai_2} -> {q2m_validation_scatter_2000_2009_basin} -> {q2m_tropflux q2m_oafluxq2m_ncep q2m_ncep1 figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -20,7 +52,22 @@
 ;
 ;  IDL> @tropflux_init
-;  IDL> date1=++
-;  IDL> date2=++
+;  IDL> date1=19890101L
+;  IDL> date2=20091231L
 ;  IDL> q2m_validation_scatter_2000_2009_basin, date1, date2
+;
+; TODO
+; ====
+;
+; make it work on cratos : pb restore
+;
+; ++ mooring data in graphviz
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -29,4 +76,10 @@
 ; $Id$
 ;
+; - fplod 20110420T101050Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -36,18 +89,12 @@
 
 pro q2m_validation_scatter_2000_2009_basin, date1, date2
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
-
-
 sitelist=['8s67e','12s55e', '8s55e', '8s80.5e', '1.5s80.5e', '0n80.5e', '1.5n80.5e', '1.5s90e', $
            '0n90e', '1.5n90e', '4n90e','8n90e','12n90e', '15n90e', '5s95e', $
@@ -101,13 +148,13 @@
 close,/all
 
-fi_q2m_erai='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_erai_'+ocean+'.txt'
+fi_q2m_erai=tropflux_id_env+'q2m_2000_2009_erai_'+ocean+'.txt'
 openw,1,fi_q2m_erai
-fi_q2m_trop='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_trop_'+ocean+'.txt'
+fi_q2m_trop=tropflux_id_env+'q2m_2000_2009_trop_'+ocean+'.txt'
 openw,2,fi_q2m_trop
-fi_q2m_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_oaflx_'+ocean+'.txt'
+fi_q2m_oaflx=tropflux_id_env+'q2m_2000_2009_oaflx_'+ocean+'.txt'
 openw,3,fi_q2m_oaflx
-fi_q2m_ncep='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep_'+ocean+'.txt'
+fi_q2m_ncep=tropflux_id_env+'q2m_2000_2009_ncep_'+ocean+'.txt'
 openw,4,fi_q2m_ncep
-fi_q2m_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep1_'+ocean+'.txt'
+fi_q2m_ncep1=tropflux_id_env+'q2m_2000_2009_ncep1_'+ocean+'.txt'
 openw,5,fi_q2m_ncep1
 
@@ -121,31 +168,9 @@
 ;; first reading the whole ERAI uncorrected and corrected data
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_q2m_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_q2m_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 unc=read_ncdf('q2m',date1,date2,file=file,/nostr)
 help, unc
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_q2m_19890101_20091231_v20.nc'
-;initncdf, file
-;cor=read_ncdf('q2m',date1,date2,file=file,/nostr)
-;help, cor
-
-;file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/OAFlux_basic_variables_1985_2009.nc'
-;initncdf, file
-;oaf=read_ncdf("sphum", date1, date2, file=file,/nostr)
-;help, oaf
-
-;fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/sphum_ncep2_oafluxgrid_19890101_20091231.nc'
-;initncdf, fi
-;nce=read_ncdf("shum", date1-1, date2, file=fi,/nostr)
-;nce=nce*1000
-;help, nce
-
-;file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/q2m_ncep1_19890101_20091231.nc'
-;initncdf, file
-;nce1=read_ncdf("q2m", date1, date2, file=file,/nostr)
-;nce1=nce1*1000
-;help, nce1
-
 ;save, unc, cor, oaf, nce, nce1, filename="q2m_era_trop_oaf_nce_nce1_2000_2009_global.idl"
 restore, file="/Users/pkb/work/MY_SAXO/q2m_era_trop_oaf_nce_nce1_2000_2009_global.idl"
@@ -153,6 +178,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -222,5 +245,5 @@
 close,/all
 
-fi_q2m_erai='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_erai_'+ocean+'.txt'
+fi_q2m_erai=tropflux_id_env+'q2m_2000_2009_erai_'+ocean+'.txt'
 res=read_ascii(fi_q2m_erai,data_start=1)
 ff=res.field1
@@ -248,5 +271,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_trop='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_trop_'+ocean+'.txt'
+fi_q2m_trop=tropflux_id_env+'q2m_2000_2009_trop_'+ocean+'.txt'
 res=read_ascii(fi_q2m_trop,data_start=1)
 ff=res.field1
@@ -275,5 +298,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_oaflx_'+ocean+'.txt'
+fi_q2m_oaflx=tropflux_id_env+'q2m_2000_2009_oaflx_'+ocean+'.txt'
 res=read_ascii(fi_q2m_oaflx,data_start=1)
 ff=res.field1
@@ -303,5 +326,5 @@
 
 
-fi_q2m_ncep='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep_'+ocean+'.txt'
+fi_q2m_ncep=tropflux_id_env+'q2m_2000_2009_ncep_'+ocean+'.txt'
 res=read_ascii(fi_q2m_ncep,data_start=1)
 ff=res.field1
@@ -330,5 +353,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep1_'+ocean+'.txt'
+fi_q2m_ncep1=tropflux_id_env+'q2m_2000_2009_ncep1_'+ocean+'.txt'
 res=read_ascii(fi_q2m_ncep1,data_start=1)
 ff=res.field1
@@ -359,46 +382,6 @@
 closeps
 
-fig='q2m_validation_scatter_2000_2009_'+ocean+'.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'q2m_validation_scatter_2000_2009_'+ocean+'.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
